BZip2DummyDecompressor (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.io.compress.bzip2
Class BZip2DummyDecompressor

    java.lang.Object
      org.apache.hadoop.io.compress.bzip2.BZip2DummyDecompressor

All Implemented Interfaces:
  Decompressor

    public class BZip2DummyDecompressor

extends Object
implements Decompressor

This is a dummy decompressor for BZip2.

Constructor Summary
`BZip2DummyDecompressor()`

Method Summary
`int` | `decompress(byte[] b, int off, int len)` Fills specified buffer with uncompressed data.
`void` | `end()` Closes the decompressor and discards any unprocessed input.
`boolean` | `finished()` Returns true if the end of the decompressed data output stream has been reached.
`int` | `getRemaining()` Returns the number of bytes remaining in the compressed-data buffer; typically called after the decompressor has finished decompressing the current gzip stream (a.k.a.
`boolean` | `needsDictionary()` Returns `true` if a preset dictionary is needed for decompression.
`boolean` | `needsInput()` Returns true if the input data buffer is empty and `Decompressor.setInput(byte[], int, int)` should be called to provide more input.
`void` | `reset()` Resets decompressor and input and output buffers so that a new set of input data can be processed.
`void` | `setDictionary(byte[] b, int off, int len)` Sets preset dictionary for compression.
`void` | `setInput(byte[] b, int off, int len)` Sets input data for decompression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BZip2DummyDecompressor

    public BZip2DummyDecompressor()

Method Detail

### decompress

    public int decompress(byte[] b,
                          int off,
                          int len)
                   throws IOException

  Description copied from interface: `Decompressor`
  Fills specified buffer with uncompressed data. Returns actual number of bytes of uncompressed data. A return value of 0 indicates that `Decompressor.needsInput()` should be called in order to determine if more input data is required.

  Specified by:
    `decompress` in interface `Decompressor`
  Parameters:
    `b` - Buffer for the compressed data
    `off` - Start offset of the data
    `len` - Size of the buffer
  Returns:
    The actual number of bytes of compressed data.
  Throws:
    `IOException`

### end

    public void end()

  Description copied from interface: `Decompressor`
  Closes the decompressor and discards any unprocessed input.

  Specified by:
    `end` in interface `Decompressor`

### finished

    public boolean finished()

  Description copied from interface: `Decompressor`
  Returns true if the end of the decompressed data output stream has been reached.

  Specified by:
    `finished` in interface `Decompressor`
  Returns:
    `true` if the end of the decompressed data output stream has been reached.

### needsDictionary

    public boolean needsDictionary()

  Description copied from interface: `Decompressor`
  Returns `true` if a preset dictionary is needed for decompression.

  Specified by:
    `needsDictionary` in interface `Decompressor`
  Returns:
    `true` if a preset dictionary is needed for decompression

### needsInput

    public boolean needsInput()

  Description copied from interface: `Decompressor`
  Returns true if the input data buffer is empty and `Decompressor.setInput(byte[], int, int)` should be called to provide more input.

  Specified by:
    `needsInput` in interface `Decompressor`
  Returns:
    `true` if the input data buffer is empty and `Decompressor.setInput(byte[], int, int)` should be called in order to provide more input.

### getRemaining

    public int getRemaining()

  Description copied from interface: `Decompressor`
  Returns the number of bytes remaining in the compressed-data buffer; typically called after the decompressor has finished decompressing the current gzip stream (a.k.a. "member").

  Specified by:
    `getRemaining` in interface `Decompressor`

### reset

    public void reset()

  Description copied from interface: `Decompressor`
  Resets decompressor and input and output buffers so that a new set of input data can be processed.

  Specified by:
    `reset` in interface `Decompressor`

### setDictionary

    public void setDictionary(byte[] b,
                              int off,
                              int len)

  Description copied from interface: `Decompressor`
  Sets preset dictionary for compression. A preset dictionary is used when the history buffer can be predetermined.

  Specified by:
    `setDictionary` in interface `Decompressor`
  Parameters:
    `b` - Dictionary data bytes
    `off` - Start offset
    `len` - Length

### setInput

    public void setInput(byte[] b,
                         int off,
                         int len)

  Description copied from interface: `Decompressor`
  Sets input data for decompression. This should be called if and only if `Decompressor.needsInput()` returns `true` indicating that more input data is required. (Both native and non-native versions of various Decompressors require that the data passed in via `b[]` remain unmodified until the caller is explicitly notified--via `Decompressor.needsInput()`--that the buffer may be safely modified. With this requirement, an extra buffer-copy can be avoided.)

  Specified by:
    `setInput` in interface `Decompressor`
  Parameters:
    `b` - Input data
    `off` - Start offset
    `len` - Length

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation